Index: XIOS/trunk/src/interface/c_attr/icfield_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 704)
+++ XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 711)
@@ -532,4 +532,65 @@
 
 
+  void cxios_set_field_ts_enabled(field_Ptr field_hdl, bool ts_enabled)
+  {
+    CTimer::get("XIOS").resume();
+    field_hdl->ts_enabled.setValue(ts_enabled);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_field_ts_enabled(field_Ptr field_hdl, bool* ts_enabled)
+  {
+    CTimer::get("XIOS").resume();
+    *ts_enabled = field_hdl->ts_enabled.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_field_ts_enabled(field_Ptr field_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = field_hdl->ts_enabled.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_field_ts_split_freq(field_Ptr field_hdl, cxios_duration ts_split_freq_c)
+  {
+    CTimer::get("XIOS").resume();
+    field_hdl->ts_split_freq.allocate();
+    CDuration& ts_split_freq = field_hdl->ts_split_freq.get();
+    ts_split_freq.year = ts_split_freq_c.year;
+    ts_split_freq.month = ts_split_freq_c.month;
+    ts_split_freq.day = ts_split_freq_c.day;
+    ts_split_freq.hour = ts_split_freq_c.hour;
+    ts_split_freq.minute = ts_split_freq_c.minute;
+    ts_split_freq.second = ts_split_freq_c.second;
+    ts_split_freq.timestep = ts_split_freq_c.timestep;
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_field_ts_split_freq(field_Ptr field_hdl, cxios_duration* ts_split_freq_c)
+  {
+    CTimer::get("XIOS").resume();
+    CDuration ts_split_freq = field_hdl->ts_split_freq.getInheritedValue();
+    ts_split_freq_c->year = ts_split_freq.year;
+    ts_split_freq_c->month = ts_split_freq.month;
+    ts_split_freq_c->day = ts_split_freq.day;
+    ts_split_freq_c->hour = ts_split_freq.hour;
+    ts_split_freq_c->minute = ts_split_freq.minute;
+    ts_split_freq_c->second = ts_split_freq.second;
+    ts_split_freq_c->timestep = ts_split_freq.timestep;
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_field_ts_split_freq(field_Ptr field_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = field_hdl->ts_split_freq.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_field_unit(field_Ptr field_hdl, const char * unit, int unit_size)
   {
Index: XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 704)
+++ XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 711)
@@ -558,4 +558,65 @@
 
 
+  void cxios_set_fieldgroup_ts_enabled(fieldgroup_Ptr fieldgroup_hdl, bool ts_enabled)
+  {
+    CTimer::get("XIOS").resume();
+    fieldgroup_hdl->ts_enabled.setValue(ts_enabled);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_fieldgroup_ts_enabled(fieldgroup_Ptr fieldgroup_hdl, bool* ts_enabled)
+  {
+    CTimer::get("XIOS").resume();
+    *ts_enabled = fieldgroup_hdl->ts_enabled.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_fieldgroup_ts_enabled(fieldgroup_Ptr fieldgroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = fieldgroup_hdl->ts_enabled.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_fieldgroup_ts_split_freq(fieldgroup_Ptr fieldgroup_hdl, cxios_duration ts_split_freq_c)
+  {
+    CTimer::get("XIOS").resume();
+    fieldgroup_hdl->ts_split_freq.allocate();
+    CDuration& ts_split_freq = fieldgroup_hdl->ts_split_freq.get();
+    ts_split_freq.year = ts_split_freq_c.year;
+    ts_split_freq.month = ts_split_freq_c.month;
+    ts_split_freq.day = ts_split_freq_c.day;
+    ts_split_freq.hour = ts_split_freq_c.hour;
+    ts_split_freq.minute = ts_split_freq_c.minute;
+    ts_split_freq.second = ts_split_freq_c.second;
+    ts_split_freq.timestep = ts_split_freq_c.timestep;
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_fieldgroup_ts_split_freq(fieldgroup_Ptr fieldgroup_hdl, cxios_duration* ts_split_freq_c)
+  {
+    CTimer::get("XIOS").resume();
+    CDuration ts_split_freq = fieldgroup_hdl->ts_split_freq.getInheritedValue();
+    ts_split_freq_c->year = ts_split_freq.year;
+    ts_split_freq_c->month = ts_split_freq.month;
+    ts_split_freq_c->day = ts_split_freq.day;
+    ts_split_freq_c->hour = ts_split_freq.hour;
+    ts_split_freq_c->minute = ts_split_freq.minute;
+    ts_split_freq_c->second = ts_split_freq.second;
+    ts_split_freq_c->timestep = ts_split_freq.timestep;
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_fieldgroup_ts_split_freq(fieldgroup_Ptr fieldgroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = fieldgroup_hdl->ts_split_freq.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_fieldgroup_unit(fieldgroup_Ptr fieldgroup_hdl, const char * unit, int unit_size)
   {
Index: XIOS/trunk/src/interface/c_attr/icfile_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 704)
+++ XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 711)
@@ -455,4 +455,56 @@
 
 
+  void cxios_set_file_timeseries(file_Ptr file_hdl, const char * timeseries, int timeseries_size)
+  {
+    std::string timeseries_str;
+    if (!cstr2string(timeseries, timeseries_size, timeseries_str)) return;
+    CTimer::get("XIOS").resume();
+    file_hdl->timeseries.fromString(timeseries_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_file_timeseries(file_Ptr file_hdl, char * timeseries, int timeseries_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(file_hdl->timeseries.getInheritedStringValue(), timeseries, timeseries_size))
+      ERROR("void cxios_get_file_timeseries(file_Ptr file_hdl, char * timeseries, int timeseries_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_file_timeseries(file_Ptr file_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = file_hdl->timeseries.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_file_ts_prefix(file_Ptr file_hdl, const char * ts_prefix, int ts_prefix_size)
+  {
+    std::string ts_prefix_str;
+    if (!cstr2string(ts_prefix, ts_prefix_size, ts_prefix_str)) return;
+    CTimer::get("XIOS").resume();
+    file_hdl->ts_prefix.setValue(ts_prefix_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_file_ts_prefix(file_Ptr file_hdl, char * ts_prefix, int ts_prefix_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(file_hdl->ts_prefix.getInheritedValue(), ts_prefix, ts_prefix_size))
+      ERROR("void cxios_get_file_ts_prefix(file_Ptr file_hdl, char * ts_prefix, int ts_prefix_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_file_ts_prefix(file_Ptr file_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = file_hdl->ts_prefix.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_file_type(file_Ptr file_hdl, const char * type, int type_size)
   {
Index: XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 704)
+++ XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 711)
@@ -481,4 +481,56 @@
 
 
+  void cxios_set_filegroup_timeseries(filegroup_Ptr filegroup_hdl, const char * timeseries, int timeseries_size)
+  {
+    std::string timeseries_str;
+    if (!cstr2string(timeseries, timeseries_size, timeseries_str)) return;
+    CTimer::get("XIOS").resume();
+    filegroup_hdl->timeseries.fromString(timeseries_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_filegroup_timeseries(filegroup_Ptr filegroup_hdl, char * timeseries, int timeseries_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(filegroup_hdl->timeseries.getInheritedStringValue(), timeseries, timeseries_size))
+      ERROR("void cxios_get_filegroup_timeseries(filegroup_Ptr filegroup_hdl, char * timeseries, int timeseries_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_filegroup_timeseries(filegroup_Ptr filegroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = filegroup_hdl->timeseries.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_filegroup_ts_prefix(filegroup_Ptr filegroup_hdl, const char * ts_prefix, int ts_prefix_size)
+  {
+    std::string ts_prefix_str;
+    if (!cstr2string(ts_prefix, ts_prefix_size, ts_prefix_str)) return;
+    CTimer::get("XIOS").resume();
+    filegroup_hdl->ts_prefix.setValue(ts_prefix_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_filegroup_ts_prefix(filegroup_Ptr filegroup_hdl, char * ts_prefix, int ts_prefix_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(filegroup_hdl->ts_prefix.getInheritedValue(), ts_prefix, ts_prefix_size))
+      ERROR("void cxios_get_filegroup_ts_prefix(filegroup_Ptr filegroup_hdl, char * ts_prefix, int ts_prefix_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_filegroup_ts_prefix(filegroup_Ptr filegroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = filegroup_hdl->ts_prefix.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_filegroup_type(filegroup_Ptr filegroup_hdl, const char * type, int type_size)
   {
Index: XIOS/trunk/src/interface/fortran_attr/field_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/field_interface_attr.F90	(revision 704)
+++ XIOS/trunk/src/interface/fortran_attr/field_interface_attr.F90	(revision 711)
@@ -410,4 +410,44 @@
 
 
+    SUBROUTINE cxios_set_field_ts_enabled(field_hdl, ts_enabled) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: ts_enabled
+    END SUBROUTINE cxios_set_field_ts_enabled
+
+    SUBROUTINE cxios_get_field_ts_enabled(field_hdl, ts_enabled) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+      LOGICAL (KIND=C_BOOL)             :: ts_enabled
+    END SUBROUTINE cxios_get_field_ts_enabled
+
+    FUNCTION cxios_is_defined_field_ts_enabled(field_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_ts_enabled
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_ts_enabled
+
+
+    SUBROUTINE cxios_set_field_ts_split_freq(field_hdl, ts_split_freq) BIND(C)
+      USE ISO_C_BINDING
+      USE IDURATION
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+      TYPE(txios(duration)), VALUE :: ts_split_freq
+    END SUBROUTINE cxios_set_field_ts_split_freq
+
+    SUBROUTINE cxios_get_field_ts_split_freq(field_hdl, ts_split_freq) BIND(C)
+      USE ISO_C_BINDING
+      USE IDURATION
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+      TYPE(txios(duration)) :: ts_split_freq
+    END SUBROUTINE cxios_get_field_ts_split_freq
+
+    FUNCTION cxios_is_defined_field_ts_split_freq(field_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_ts_split_freq
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_ts_split_freq
+
+
     SUBROUTINE cxios_set_field_unit(field_hdl, unit, unit_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/trunk/src/interface/fortran_attr/fieldgroup_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/fieldgroup_interface_attr.F90	(revision 704)
+++ XIOS/trunk/src/interface/fortran_attr/fieldgroup_interface_attr.F90	(revision 711)
@@ -431,4 +431,44 @@
 
 
+    SUBROUTINE cxios_set_fieldgroup_ts_enabled(fieldgroup_hdl, ts_enabled) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: ts_enabled
+    END SUBROUTINE cxios_set_fieldgroup_ts_enabled
+
+    SUBROUTINE cxios_get_fieldgroup_ts_enabled(fieldgroup_hdl, ts_enabled) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+      LOGICAL (KIND=C_BOOL)             :: ts_enabled
+    END SUBROUTINE cxios_get_fieldgroup_ts_enabled
+
+    FUNCTION cxios_is_defined_fieldgroup_ts_enabled(fieldgroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_ts_enabled
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_ts_enabled
+
+
+    SUBROUTINE cxios_set_fieldgroup_ts_split_freq(fieldgroup_hdl, ts_split_freq) BIND(C)
+      USE ISO_C_BINDING
+      USE IDURATION
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+      TYPE(txios(duration)), VALUE :: ts_split_freq
+    END SUBROUTINE cxios_set_fieldgroup_ts_split_freq
+
+    SUBROUTINE cxios_get_fieldgroup_ts_split_freq(fieldgroup_hdl, ts_split_freq) BIND(C)
+      USE ISO_C_BINDING
+      USE IDURATION
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+      TYPE(txios(duration)) :: ts_split_freq
+    END SUBROUTINE cxios_get_fieldgroup_ts_split_freq
+
+    FUNCTION cxios_is_defined_fieldgroup_ts_split_freq(fieldgroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_ts_split_freq
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_ts_split_freq
+
+
     SUBROUTINE cxios_set_fieldgroup_unit(fieldgroup_hdl, unit, unit_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/trunk/src/interface/fortran_attr/file_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/file_interface_attr.F90	(revision 704)
+++ XIOS/trunk/src/interface/fortran_attr/file_interface_attr.F90	(revision 711)
@@ -336,4 +336,46 @@
 
 
+    SUBROUTINE cxios_set_file_timeseries(file_hdl, timeseries, timeseries_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: timeseries
+      INTEGER  (kind = C_INT)     , VALUE        :: timeseries_size
+    END SUBROUTINE cxios_set_file_timeseries
+
+    SUBROUTINE cxios_get_file_timeseries(file_hdl, timeseries, timeseries_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: timeseries
+      INTEGER  (kind = C_INT)     , VALUE        :: timeseries_size
+    END SUBROUTINE cxios_get_file_timeseries
+
+    FUNCTION cxios_is_defined_file_timeseries(file_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_timeseries
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_timeseries
+
+
+    SUBROUTINE cxios_set_file_ts_prefix(file_hdl, ts_prefix, ts_prefix_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: ts_prefix
+      INTEGER  (kind = C_INT)     , VALUE        :: ts_prefix_size
+    END SUBROUTINE cxios_set_file_ts_prefix
+
+    SUBROUTINE cxios_get_file_ts_prefix(file_hdl, ts_prefix, ts_prefix_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: ts_prefix
+      INTEGER  (kind = C_INT)     , VALUE        :: ts_prefix_size
+    END SUBROUTINE cxios_get_file_ts_prefix
+
+    FUNCTION cxios_is_defined_file_ts_prefix(file_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_ts_prefix
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_ts_prefix
+
+
     SUBROUTINE cxios_set_file_type(file_hdl, type, type_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.F90	(revision 704)
+++ XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.F90	(revision 711)
@@ -357,4 +357,46 @@
 
 
+    SUBROUTINE cxios_set_filegroup_timeseries(filegroup_hdl, timeseries, timeseries_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: timeseries
+      INTEGER  (kind = C_INT)     , VALUE        :: timeseries_size
+    END SUBROUTINE cxios_set_filegroup_timeseries
+
+    SUBROUTINE cxios_get_filegroup_timeseries(filegroup_hdl, timeseries, timeseries_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: timeseries
+      INTEGER  (kind = C_INT)     , VALUE        :: timeseries_size
+    END SUBROUTINE cxios_get_filegroup_timeseries
+
+    FUNCTION cxios_is_defined_filegroup_timeseries(filegroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_timeseries
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_timeseries
+
+
+    SUBROUTINE cxios_set_filegroup_ts_prefix(filegroup_hdl, ts_prefix, ts_prefix_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: ts_prefix
+      INTEGER  (kind = C_INT)     , VALUE        :: ts_prefix_size
+    END SUBROUTINE cxios_set_filegroup_ts_prefix
+
+    SUBROUTINE cxios_get_filegroup_ts_prefix(filegroup_hdl, ts_prefix, ts_prefix_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: ts_prefix
+      INTEGER  (kind = C_INT)     , VALUE        :: ts_prefix_size
+    END SUBROUTINE cxios_get_filegroup_ts_prefix
+
+    FUNCTION cxios_is_defined_filegroup_ts_prefix(filegroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_ts_prefix
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_ts_prefix
+
+
     SUBROUTINE cxios_set_filegroup_type(filegroup_hdl, type, type_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/trunk/src/interface/fortran_attr/ifield_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/ifield_attr.F90	(revision 704)
+++ XIOS/trunk/src/interface/fortran_attr/ifield_attr.F90	(revision 711)
@@ -14,5 +14,6 @@
     ( field_id, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
     , enabled, field_ref, freq_offset, freq_op, grid_ref, indexed_output, level, long_name, name  &
-    , operation, prec, read_access, scale_factor, standard_name, unit, valid_max, valid_min )
+    , operation, prec, read_access, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+    , valid_max, valid_min )
 
     IMPLICIT NONE
@@ -43,4 +44,7 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: scale_factor
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
+      LOGICAL  , OPTIONAL, INTENT(IN) :: ts_enabled
+      LOGICAL (KIND=C_BOOL) :: ts_enabled_tmp
+      TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: ts_split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: valid_max
@@ -51,5 +55,6 @@
       ( field_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
       , enabled, field_ref, freq_offset, freq_op, grid_ref, indexed_output, level, long_name, name  &
-      , operation, prec, read_access, scale_factor, standard_name, unit, valid_max, valid_min )
+      , operation, prec, read_access, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+      , valid_max, valid_min )
 
   END SUBROUTINE xios(set_field_attr)
@@ -58,5 +63,6 @@
     ( field_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
     , enabled, field_ref, freq_offset, freq_op, grid_ref, indexed_output, level, long_name, name  &
-    , operation, prec, read_access, scale_factor, standard_name, unit, valid_max, valid_min )
+    , operation, prec, read_access, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+    , valid_max, valid_min )
 
     IMPLICIT NONE
@@ -86,4 +92,7 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: scale_factor
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
+      LOGICAL  , OPTIONAL, INTENT(IN) :: ts_enabled
+      LOGICAL (KIND=C_BOOL) :: ts_enabled_tmp
+      TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: ts_split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: valid_max
@@ -93,5 +102,6 @@
       ( field_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
       , enabled, field_ref, freq_offset, freq_op, grid_ref, indexed_output, level, long_name, name  &
-      , operation, prec, read_access, scale_factor, standard_name, unit, valid_max, valid_min )
+      , operation, prec, read_access, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+      , valid_max, valid_min )
 
   END SUBROUTINE xios(set_field_attr_hdl)
@@ -100,6 +110,6 @@
     ( field_hdl, add_offset_, axis_ref_, compression_level_, default_value_, detect_missing_value_  &
     , domain_ref_, enabled_, field_ref_, freq_offset_, freq_op_, grid_ref_, indexed_output_, level_  &
-    , long_name_, name_, operation_, prec_, read_access_, scale_factor_, standard_name_, unit_, valid_max_  &
-    , valid_min_ )
+    , long_name_, name_, operation_, prec_, read_access_, scale_factor_, standard_name_, ts_enabled_  &
+    , ts_split_freq_, unit_, valid_max_, valid_min_ )
 
     IMPLICIT NONE
@@ -129,4 +139,7 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: scale_factor_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: ts_enabled_
+      LOGICAL (KIND=C_BOOL) :: ts_enabled__tmp
+      TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: ts_split_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit_
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: valid_max_
@@ -217,4 +230,13 @@
       ENDIF
 
+      IF (PRESENT(ts_enabled_)) THEN
+        ts_enabled__tmp = ts_enabled_
+        CALL cxios_set_field_ts_enabled(field_hdl%daddr, ts_enabled__tmp)
+      ENDIF
+
+      IF (PRESENT(ts_split_freq_)) THEN
+        CALL cxios_set_field_ts_split_freq(field_hdl%daddr, ts_split_freq_)
+      ENDIF
+
       IF (PRESENT(unit_)) THEN
         CALL cxios_set_field_unit(field_hdl%daddr, unit_, len(unit_))
@@ -234,5 +256,6 @@
     ( field_id, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
     , enabled, field_ref, freq_offset, freq_op, grid_ref, indexed_output, level, long_name, name  &
-    , operation, prec, read_access, scale_factor, standard_name, unit, valid_max, valid_min )
+    , operation, prec, read_access, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+    , valid_max, valid_min )
 
     IMPLICIT NONE
@@ -263,4 +286,7 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: scale_factor
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: ts_enabled
+      LOGICAL (KIND=C_BOOL) :: ts_enabled_tmp
+      TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: ts_split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: valid_max
@@ -271,5 +297,6 @@
       ( field_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
       , enabled, field_ref, freq_offset, freq_op, grid_ref, indexed_output, level, long_name, name  &
-      , operation, prec, read_access, scale_factor, standard_name, unit, valid_max, valid_min )
+      , operation, prec, read_access, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+      , valid_max, valid_min )
 
   END SUBROUTINE xios(get_field_attr)
@@ -278,5 +305,6 @@
     ( field_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
     , enabled, field_ref, freq_offset, freq_op, grid_ref, indexed_output, level, long_name, name  &
-    , operation, prec, read_access, scale_factor, standard_name, unit, valid_max, valid_min )
+    , operation, prec, read_access, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+    , valid_max, valid_min )
 
     IMPLICIT NONE
@@ -306,4 +334,7 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: scale_factor
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: ts_enabled
+      LOGICAL (KIND=C_BOOL) :: ts_enabled_tmp
+      TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: ts_split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: valid_max
@@ -313,5 +344,6 @@
       ( field_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
       , enabled, field_ref, freq_offset, freq_op, grid_ref, indexed_output, level, long_name, name  &
-      , operation, prec, read_access, scale_factor, standard_name, unit, valid_max, valid_min )
+      , operation, prec, read_access, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+      , valid_max, valid_min )
 
   END SUBROUTINE xios(get_field_attr_hdl)
@@ -320,6 +352,6 @@
     ( field_hdl, add_offset_, axis_ref_, compression_level_, default_value_, detect_missing_value_  &
     , domain_ref_, enabled_, field_ref_, freq_offset_, freq_op_, grid_ref_, indexed_output_, level_  &
-    , long_name_, name_, operation_, prec_, read_access_, scale_factor_, standard_name_, unit_, valid_max_  &
-    , valid_min_ )
+    , long_name_, name_, operation_, prec_, read_access_, scale_factor_, standard_name_, ts_enabled_  &
+    , ts_split_freq_, unit_, valid_max_, valid_min_ )
 
     IMPLICIT NONE
@@ -349,4 +381,7 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: scale_factor_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: ts_enabled_
+      LOGICAL (KIND=C_BOOL) :: ts_enabled__tmp
+      TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: ts_split_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit_
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: valid_max_
@@ -437,4 +472,13 @@
       ENDIF
 
+      IF (PRESENT(ts_enabled_)) THEN
+        CALL cxios_get_field_ts_enabled(field_hdl%daddr, ts_enabled__tmp)
+        ts_enabled_ = ts_enabled__tmp
+      ENDIF
+
+      IF (PRESENT(ts_split_freq_)) THEN
+        CALL cxios_get_field_ts_split_freq(field_hdl%daddr, ts_split_freq_)
+      ENDIF
+
       IF (PRESENT(unit_)) THEN
         CALL cxios_get_field_unit(field_hdl%daddr, unit_, len(unit_))
@@ -454,5 +498,6 @@
     ( field_id, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
     , enabled, field_ref, freq_offset, freq_op, grid_ref, indexed_output, level, long_name, name  &
-    , operation, prec, read_access, scale_factor, standard_name, unit, valid_max, valid_min )
+    , operation, prec, read_access, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+    , valid_max, valid_min )
 
     IMPLICIT NONE
@@ -499,4 +544,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_enabled
+      LOGICAL(KIND=C_BOOL) :: ts_enabled_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_split_freq
+      LOGICAL(KIND=C_BOOL) :: ts_split_freq_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: unit
       LOGICAL(KIND=C_BOOL) :: unit_tmp
@@ -510,5 +559,6 @@
       ( field_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
       , enabled, field_ref, freq_offset, freq_op, grid_ref, indexed_output, level, long_name, name  &
-      , operation, prec, read_access, scale_factor, standard_name, unit, valid_max, valid_min )
+      , operation, prec, read_access, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+      , valid_max, valid_min )
 
   END SUBROUTINE xios(is_defined_field_attr)
@@ -517,5 +567,6 @@
     ( field_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
     , enabled, field_ref, freq_offset, freq_op, grid_ref, indexed_output, level, long_name, name  &
-    , operation, prec, read_access, scale_factor, standard_name, unit, valid_max, valid_min )
+    , operation, prec, read_access, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+    , valid_max, valid_min )
 
     IMPLICIT NONE
@@ -561,4 +612,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_enabled
+      LOGICAL(KIND=C_BOOL) :: ts_enabled_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_split_freq
+      LOGICAL(KIND=C_BOOL) :: ts_split_freq_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: unit
       LOGICAL(KIND=C_BOOL) :: unit_tmp
@@ -571,5 +626,6 @@
       ( field_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
       , enabled, field_ref, freq_offset, freq_op, grid_ref, indexed_output, level, long_name, name  &
-      , operation, prec, read_access, scale_factor, standard_name, unit, valid_max, valid_min )
+      , operation, prec, read_access, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+      , valid_max, valid_min )
 
   END SUBROUTINE xios(is_defined_field_attr_hdl)
@@ -578,6 +634,6 @@
     ( field_hdl, add_offset_, axis_ref_, compression_level_, default_value_, detect_missing_value_  &
     , domain_ref_, enabled_, field_ref_, freq_offset_, freq_op_, grid_ref_, indexed_output_, level_  &
-    , long_name_, name_, operation_, prec_, read_access_, scale_factor_, standard_name_, unit_, valid_max_  &
-    , valid_min_ )
+    , long_name_, name_, operation_, prec_, read_access_, scale_factor_, standard_name_, ts_enabled_  &
+    , ts_split_freq_, unit_, valid_max_, valid_min_ )
 
     IMPLICIT NONE
@@ -623,4 +679,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name_
       LOGICAL(KIND=C_BOOL) :: standard_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_enabled_
+      LOGICAL(KIND=C_BOOL) :: ts_enabled__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_split_freq_
+      LOGICAL(KIND=C_BOOL) :: ts_split_freq__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: unit_
       LOGICAL(KIND=C_BOOL) :: unit__tmp
@@ -730,4 +790,14 @@
       ENDIF
 
+      IF (PRESENT(ts_enabled_)) THEN
+        ts_enabled__tmp = cxios_is_defined_field_ts_enabled(field_hdl%daddr)
+        ts_enabled_ = ts_enabled__tmp
+      ENDIF
+
+      IF (PRESENT(ts_split_freq_)) THEN
+        ts_split_freq__tmp = cxios_is_defined_field_ts_split_freq(field_hdl%daddr)
+        ts_split_freq_ = ts_split_freq__tmp
+      ENDIF
+
       IF (PRESENT(unit_)) THEN
         unit__tmp = cxios_is_defined_field_unit(field_hdl%daddr)
Index: XIOS/trunk/src/interface/fortran_attr/ifieldgroup_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/ifieldgroup_attr.F90	(revision 704)
+++ XIOS/trunk/src/interface/fortran_attr/ifieldgroup_attr.F90	(revision 711)
@@ -14,6 +14,6 @@
     ( fieldgroup_id, add_offset, axis_ref, compression_level, default_value, detect_missing_value  &
     , domain_ref, enabled, field_ref, freq_offset, freq_op, grid_ref, group_ref, indexed_output  &
-    , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, unit, valid_max  &
-    , valid_min )
+    , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, ts_enabled  &
+    , ts_split_freq, unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -45,4 +45,7 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: scale_factor
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
+      LOGICAL  , OPTIONAL, INTENT(IN) :: ts_enabled
+      LOGICAL (KIND=C_BOOL) :: ts_enabled_tmp
+      TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: ts_split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: valid_max
@@ -53,6 +56,6 @@
       ( fieldgroup_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value  &
       , domain_ref, enabled, field_ref, freq_offset, freq_op, grid_ref, group_ref, indexed_output  &
-      , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, unit, valid_max  &
-      , valid_min )
+      , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, ts_enabled  &
+      , ts_split_freq, unit, valid_max, valid_min )
 
   END SUBROUTINE xios(set_fieldgroup_attr)
@@ -61,6 +64,6 @@
     ( fieldgroup_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value  &
     , domain_ref, enabled, field_ref, freq_offset, freq_op, grid_ref, group_ref, indexed_output  &
-    , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, unit, valid_max  &
-    , valid_min )
+    , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, ts_enabled  &
+    , ts_split_freq, unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -91,4 +94,7 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: scale_factor
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
+      LOGICAL  , OPTIONAL, INTENT(IN) :: ts_enabled
+      LOGICAL (KIND=C_BOOL) :: ts_enabled_tmp
+      TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: ts_split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: valid_max
@@ -98,6 +104,6 @@
       ( fieldgroup_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value  &
       , domain_ref, enabled, field_ref, freq_offset, freq_op, grid_ref, group_ref, indexed_output  &
-      , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, unit, valid_max  &
-      , valid_min )
+      , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, ts_enabled  &
+      , ts_split_freq, unit, valid_max, valid_min )
 
   END SUBROUTINE xios(set_fieldgroup_attr_hdl)
@@ -107,5 +113,5 @@
     , domain_ref_, enabled_, field_ref_, freq_offset_, freq_op_, grid_ref_, group_ref_, indexed_output_  &
     , level_, long_name_, name_, operation_, prec_, read_access_, scale_factor_, standard_name_  &
-    , unit_, valid_max_, valid_min_ )
+    , ts_enabled_, ts_split_freq_, unit_, valid_max_, valid_min_ )
 
     IMPLICIT NONE
@@ -136,4 +142,7 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: scale_factor_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: ts_enabled_
+      LOGICAL (KIND=C_BOOL) :: ts_enabled__tmp
+      TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: ts_split_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit_
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: valid_max_
@@ -228,4 +237,13 @@
       ENDIF
 
+      IF (PRESENT(ts_enabled_)) THEN
+        ts_enabled__tmp = ts_enabled_
+        CALL cxios_set_fieldgroup_ts_enabled(fieldgroup_hdl%daddr, ts_enabled__tmp)
+      ENDIF
+
+      IF (PRESENT(ts_split_freq_)) THEN
+        CALL cxios_set_fieldgroup_ts_split_freq(fieldgroup_hdl%daddr, ts_split_freq_)
+      ENDIF
+
       IF (PRESENT(unit_)) THEN
         CALL cxios_set_fieldgroup_unit(fieldgroup_hdl%daddr, unit_, len(unit_))
@@ -245,6 +263,6 @@
     ( fieldgroup_id, add_offset, axis_ref, compression_level, default_value, detect_missing_value  &
     , domain_ref, enabled, field_ref, freq_offset, freq_op, grid_ref, group_ref, indexed_output  &
-    , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, unit, valid_max  &
-    , valid_min )
+    , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, ts_enabled  &
+    , ts_split_freq, unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -276,4 +294,7 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: scale_factor
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: ts_enabled
+      LOGICAL (KIND=C_BOOL) :: ts_enabled_tmp
+      TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: ts_split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: valid_max
@@ -284,6 +305,6 @@
       ( fieldgroup_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value  &
       , domain_ref, enabled, field_ref, freq_offset, freq_op, grid_ref, group_ref, indexed_output  &
-      , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, unit, valid_max  &
-      , valid_min )
+      , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, ts_enabled  &
+      , ts_split_freq, unit, valid_max, valid_min )
 
   END SUBROUTINE xios(get_fieldgroup_attr)
@@ -292,6 +313,6 @@
     ( fieldgroup_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value  &
     , domain_ref, enabled, field_ref, freq_offset, freq_op, grid_ref, group_ref, indexed_output  &
-    , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, unit, valid_max  &
-    , valid_min )
+    , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, ts_enabled  &
+    , ts_split_freq, unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -322,4 +343,7 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: scale_factor
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: ts_enabled
+      LOGICAL (KIND=C_BOOL) :: ts_enabled_tmp
+      TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: ts_split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: valid_max
@@ -329,6 +353,6 @@
       ( fieldgroup_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value  &
       , domain_ref, enabled, field_ref, freq_offset, freq_op, grid_ref, group_ref, indexed_output  &
-      , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, unit, valid_max  &
-      , valid_min )
+      , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, ts_enabled  &
+      , ts_split_freq, unit, valid_max, valid_min )
 
   END SUBROUTINE xios(get_fieldgroup_attr_hdl)
@@ -338,5 +362,5 @@
     , domain_ref_, enabled_, field_ref_, freq_offset_, freq_op_, grid_ref_, group_ref_, indexed_output_  &
     , level_, long_name_, name_, operation_, prec_, read_access_, scale_factor_, standard_name_  &
-    , unit_, valid_max_, valid_min_ )
+    , ts_enabled_, ts_split_freq_, unit_, valid_max_, valid_min_ )
 
     IMPLICIT NONE
@@ -367,4 +391,7 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: scale_factor_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: ts_enabled_
+      LOGICAL (KIND=C_BOOL) :: ts_enabled__tmp
+      TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: ts_split_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit_
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: valid_max_
@@ -459,4 +486,13 @@
       ENDIF
 
+      IF (PRESENT(ts_enabled_)) THEN
+        CALL cxios_get_fieldgroup_ts_enabled(fieldgroup_hdl%daddr, ts_enabled__tmp)
+        ts_enabled_ = ts_enabled__tmp
+      ENDIF
+
+      IF (PRESENT(ts_split_freq_)) THEN
+        CALL cxios_get_fieldgroup_ts_split_freq(fieldgroup_hdl%daddr, ts_split_freq_)
+      ENDIF
+
       IF (PRESENT(unit_)) THEN
         CALL cxios_get_fieldgroup_unit(fieldgroup_hdl%daddr, unit_, len(unit_))
@@ -476,6 +512,6 @@
     ( fieldgroup_id, add_offset, axis_ref, compression_level, default_value, detect_missing_value  &
     , domain_ref, enabled, field_ref, freq_offset, freq_op, grid_ref, group_ref, indexed_output  &
-    , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, unit, valid_max  &
-    , valid_min )
+    , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, ts_enabled  &
+    , ts_split_freq, unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -524,4 +560,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_enabled
+      LOGICAL(KIND=C_BOOL) :: ts_enabled_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_split_freq
+      LOGICAL(KIND=C_BOOL) :: ts_split_freq_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: unit
       LOGICAL(KIND=C_BOOL) :: unit_tmp
@@ -535,6 +575,6 @@
       ( fieldgroup_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value  &
       , domain_ref, enabled, field_ref, freq_offset, freq_op, grid_ref, group_ref, indexed_output  &
-      , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, unit, valid_max  &
-      , valid_min )
+      , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, ts_enabled  &
+      , ts_split_freq, unit, valid_max, valid_min )
 
   END SUBROUTINE xios(is_defined_fieldgroup_attr)
@@ -543,6 +583,6 @@
     ( fieldgroup_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value  &
     , domain_ref, enabled, field_ref, freq_offset, freq_op, grid_ref, group_ref, indexed_output  &
-    , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, unit, valid_max  &
-    , valid_min )
+    , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, ts_enabled  &
+    , ts_split_freq, unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -590,4 +630,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_enabled
+      LOGICAL(KIND=C_BOOL) :: ts_enabled_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_split_freq
+      LOGICAL(KIND=C_BOOL) :: ts_split_freq_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: unit
       LOGICAL(KIND=C_BOOL) :: unit_tmp
@@ -600,6 +644,6 @@
       ( fieldgroup_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value  &
       , domain_ref, enabled, field_ref, freq_offset, freq_op, grid_ref, group_ref, indexed_output  &
-      , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, unit, valid_max  &
-      , valid_min )
+      , level, long_name, name, operation, prec, read_access, scale_factor, standard_name, ts_enabled  &
+      , ts_split_freq, unit, valid_max, valid_min )
 
   END SUBROUTINE xios(is_defined_fieldgroup_attr_hdl)
@@ -609,5 +653,5 @@
     , domain_ref_, enabled_, field_ref_, freq_offset_, freq_op_, grid_ref_, group_ref_, indexed_output_  &
     , level_, long_name_, name_, operation_, prec_, read_access_, scale_factor_, standard_name_  &
-    , unit_, valid_max_, valid_min_ )
+    , ts_enabled_, ts_split_freq_, unit_, valid_max_, valid_min_ )
 
     IMPLICIT NONE
@@ -655,4 +699,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name_
       LOGICAL(KIND=C_BOOL) :: standard_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_enabled_
+      LOGICAL(KIND=C_BOOL) :: ts_enabled__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_split_freq_
+      LOGICAL(KIND=C_BOOL) :: ts_split_freq__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: unit_
       LOGICAL(KIND=C_BOOL) :: unit__tmp
@@ -767,4 +815,14 @@
       ENDIF
 
+      IF (PRESENT(ts_enabled_)) THEN
+        ts_enabled__tmp = cxios_is_defined_fieldgroup_ts_enabled(fieldgroup_hdl%daddr)
+        ts_enabled_ = ts_enabled__tmp
+      ENDIF
+
+      IF (PRESENT(ts_split_freq_)) THEN
+        ts_split_freq__tmp = cxios_is_defined_fieldgroup_ts_split_freq(fieldgroup_hdl%daddr)
+        ts_split_freq_ = ts_split_freq__tmp
+      ENDIF
+
       IF (PRESENT(unit_)) THEN
         unit__tmp = cxios_is_defined_fieldgroup_unit(fieldgroup_hdl%daddr)
Index: XIOS/trunk/src/interface/fortran_attr/ifile_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/ifile_attr.F90	(revision 704)
+++ XIOS/trunk/src/interface/fortran_attr/ifile_attr.F90	(revision 711)
@@ -14,5 +14,5 @@
     ( file_id, append, compression_level, description, enabled, format, min_digits, mode, name, name_suffix  &
     , output_freq, output_level, par_access, split_freq, split_freq_format, sync_freq, time_counter  &
-    , type )
+    , timeseries, ts_prefix, type )
 
     IMPLICIT NONE
@@ -37,4 +37,6 @@
       TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: sync_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_counter
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: timeseries
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
@@ -43,5 +45,5 @@
       ( file_hdl, append, compression_level, description, enabled, format, min_digits, mode, name  &
       , name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format, sync_freq  &
-      , time_counter, type )
+      , time_counter, timeseries, ts_prefix, type )
 
   END SUBROUTINE xios(set_file_attr)
@@ -50,5 +52,5 @@
     ( file_hdl, append, compression_level, description, enabled, format, min_digits, mode, name  &
     , name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format, sync_freq  &
-    , time_counter, type )
+    , time_counter, timeseries, ts_prefix, type )
 
     IMPLICIT NONE
@@ -72,4 +74,6 @@
       TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: sync_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_counter
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: timeseries
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
@@ -77,5 +81,5 @@
       ( file_hdl, append, compression_level, description, enabled, format, min_digits, mode, name  &
       , name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format, sync_freq  &
-      , time_counter, type )
+      , time_counter, timeseries, ts_prefix, type )
 
   END SUBROUTINE xios(set_file_attr_hdl)
@@ -84,5 +88,5 @@
     ( file_hdl, append_, compression_level_, description_, enabled_, format_, min_digits_, mode_  &
     , name_, name_suffix_, output_freq_, output_level_, par_access_, split_freq_, split_freq_format_  &
-    , sync_freq_, time_counter_, type_ )
+    , sync_freq_, time_counter_, timeseries_, ts_prefix_, type_ )
 
     IMPLICIT NONE
@@ -106,4 +110,6 @@
       TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: sync_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_counter_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: timeseries_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_prefix_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
 
@@ -174,4 +180,12 @@
       ENDIF
 
+      IF (PRESENT(timeseries_)) THEN
+        CALL cxios_set_file_timeseries(file_hdl%daddr, timeseries_, len(timeseries_))
+      ENDIF
+
+      IF (PRESENT(ts_prefix_)) THEN
+        CALL cxios_set_file_ts_prefix(file_hdl%daddr, ts_prefix_, len(ts_prefix_))
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         CALL cxios_set_file_type(file_hdl%daddr, type_, len(type_))
@@ -183,5 +197,5 @@
     ( file_id, append, compression_level, description, enabled, format, min_digits, mode, name, name_suffix  &
     , output_freq, output_level, par_access, split_freq, split_freq_format, sync_freq, time_counter  &
-    , type )
+    , timeseries, ts_prefix, type )
 
     IMPLICIT NONE
@@ -206,4 +220,6 @@
       TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: sync_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_counter
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: timeseries
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
@@ -212,5 +228,5 @@
       ( file_hdl, append, compression_level, description, enabled, format, min_digits, mode, name  &
       , name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format, sync_freq  &
-      , time_counter, type )
+      , time_counter, timeseries, ts_prefix, type )
 
   END SUBROUTINE xios(get_file_attr)
@@ -219,5 +235,5 @@
     ( file_hdl, append, compression_level, description, enabled, format, min_digits, mode, name  &
     , name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format, sync_freq  &
-    , time_counter, type )
+    , time_counter, timeseries, ts_prefix, type )
 
     IMPLICIT NONE
@@ -241,4 +257,6 @@
       TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: sync_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_counter
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: timeseries
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
@@ -246,5 +264,5 @@
       ( file_hdl, append, compression_level, description, enabled, format, min_digits, mode, name  &
       , name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format, sync_freq  &
-      , time_counter, type )
+      , time_counter, timeseries, ts_prefix, type )
 
   END SUBROUTINE xios(get_file_attr_hdl)
@@ -253,5 +271,5 @@
     ( file_hdl, append_, compression_level_, description_, enabled_, format_, min_digits_, mode_  &
     , name_, name_suffix_, output_freq_, output_level_, par_access_, split_freq_, split_freq_format_  &
-    , sync_freq_, time_counter_, type_ )
+    , sync_freq_, time_counter_, timeseries_, ts_prefix_, type_ )
 
     IMPLICIT NONE
@@ -275,4 +293,6 @@
       TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: sync_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_counter_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: timeseries_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_prefix_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
 
@@ -343,4 +363,12 @@
       ENDIF
 
+      IF (PRESENT(timeseries_)) THEN
+        CALL cxios_get_file_timeseries(file_hdl%daddr, timeseries_, len(timeseries_))
+      ENDIF
+
+      IF (PRESENT(ts_prefix_)) THEN
+        CALL cxios_get_file_ts_prefix(file_hdl%daddr, ts_prefix_, len(ts_prefix_))
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         CALL cxios_get_file_type(file_hdl%daddr, type_, len(type_))
@@ -352,5 +380,5 @@
     ( file_id, append, compression_level, description, enabled, format, min_digits, mode, name, name_suffix  &
     , output_freq, output_level, par_access, split_freq, split_freq_format, sync_freq, time_counter  &
-    , type )
+    , timeseries, ts_prefix, type )
 
     IMPLICIT NONE
@@ -389,4 +417,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: time_counter
       LOGICAL(KIND=C_BOOL) :: time_counter_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: timeseries
+      LOGICAL(KIND=C_BOOL) :: timeseries_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_prefix
+      LOGICAL(KIND=C_BOOL) :: ts_prefix_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
@@ -396,5 +428,5 @@
       ( file_hdl, append, compression_level, description, enabled, format, min_digits, mode, name  &
       , name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format, sync_freq  &
-      , time_counter, type )
+      , time_counter, timeseries, ts_prefix, type )
 
   END SUBROUTINE xios(is_defined_file_attr)
@@ -403,5 +435,5 @@
     ( file_hdl, append, compression_level, description, enabled, format, min_digits, mode, name  &
     , name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format, sync_freq  &
-    , time_counter, type )
+    , time_counter, timeseries, ts_prefix, type )
 
     IMPLICIT NONE
@@ -439,4 +471,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: time_counter
       LOGICAL(KIND=C_BOOL) :: time_counter_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: timeseries
+      LOGICAL(KIND=C_BOOL) :: timeseries_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_prefix
+      LOGICAL(KIND=C_BOOL) :: ts_prefix_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
@@ -445,5 +481,5 @@
       ( file_hdl, append, compression_level, description, enabled, format, min_digits, mode, name  &
       , name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format, sync_freq  &
-      , time_counter, type )
+      , time_counter, timeseries, ts_prefix, type )
 
   END SUBROUTINE xios(is_defined_file_attr_hdl)
@@ -452,5 +488,5 @@
     ( file_hdl, append_, compression_level_, description_, enabled_, format_, min_digits_, mode_  &
     , name_, name_suffix_, output_freq_, output_level_, par_access_, split_freq_, split_freq_format_  &
-    , sync_freq_, time_counter_, type_ )
+    , sync_freq_, time_counter_, timeseries_, ts_prefix_, type_ )
 
     IMPLICIT NONE
@@ -488,4 +524,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: time_counter_
       LOGICAL(KIND=C_BOOL) :: time_counter__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: timeseries_
+      LOGICAL(KIND=C_BOOL) :: timeseries__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_prefix_
+      LOGICAL(KIND=C_BOOL) :: ts_prefix__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type_
       LOGICAL(KIND=C_BOOL) :: type__tmp
@@ -571,4 +611,14 @@
       ENDIF
 
+      IF (PRESENT(timeseries_)) THEN
+        timeseries__tmp = cxios_is_defined_file_timeseries(file_hdl%daddr)
+        timeseries_ = timeseries__tmp
+      ENDIF
+
+      IF (PRESENT(ts_prefix_)) THEN
+        ts_prefix__tmp = cxios_is_defined_file_ts_prefix(file_hdl%daddr)
+        ts_prefix_ = ts_prefix__tmp
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         type__tmp = cxios_is_defined_file_type(file_hdl%daddr)
Index: XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90	(revision 704)
+++ XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90	(revision 711)
@@ -14,5 +14,5 @@
     ( filegroup_id, append, compression_level, description, enabled, format, group_ref, min_digits  &
     , mode, name, name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format  &
-    , sync_freq, time_counter, type )
+    , sync_freq, time_counter, timeseries, ts_prefix, type )
 
     IMPLICIT NONE
@@ -38,4 +38,6 @@
       TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: sync_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_counter
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: timeseries
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
@@ -44,5 +46,5 @@
       ( filegroup_hdl, append, compression_level, description, enabled, format, group_ref, min_digits  &
       , mode, name, name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format  &
-      , sync_freq, time_counter, type )
+      , sync_freq, time_counter, timeseries, ts_prefix, type )
 
   END SUBROUTINE xios(set_filegroup_attr)
@@ -51,5 +53,5 @@
     ( filegroup_hdl, append, compression_level, description, enabled, format, group_ref, min_digits  &
     , mode, name, name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format  &
-    , sync_freq, time_counter, type )
+    , sync_freq, time_counter, timeseries, ts_prefix, type )
 
     IMPLICIT NONE
@@ -74,4 +76,6 @@
       TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: sync_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_counter
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: timeseries
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
@@ -79,5 +83,5 @@
       ( filegroup_hdl, append, compression_level, description, enabled, format, group_ref, min_digits  &
       , mode, name, name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format  &
-      , sync_freq, time_counter, type )
+      , sync_freq, time_counter, timeseries, ts_prefix, type )
 
   END SUBROUTINE xios(set_filegroup_attr_hdl)
@@ -86,5 +90,5 @@
     ( filegroup_hdl, append_, compression_level_, description_, enabled_, format_, group_ref_, min_digits_  &
     , mode_, name_, name_suffix_, output_freq_, output_level_, par_access_, split_freq_, split_freq_format_  &
-    , sync_freq_, time_counter_, type_ )
+    , sync_freq_, time_counter_, timeseries_, ts_prefix_, type_ )
 
     IMPLICIT NONE
@@ -109,4 +113,6 @@
       TYPE(txios(duration))  , OPTIONAL, INTENT(IN) :: sync_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_counter_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: timeseries_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_prefix_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
 
@@ -181,4 +187,12 @@
       ENDIF
 
+      IF (PRESENT(timeseries_)) THEN
+        CALL cxios_set_filegroup_timeseries(filegroup_hdl%daddr, timeseries_, len(timeseries_))
+      ENDIF
+
+      IF (PRESENT(ts_prefix_)) THEN
+        CALL cxios_set_filegroup_ts_prefix(filegroup_hdl%daddr, ts_prefix_, len(ts_prefix_))
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         CALL cxios_set_filegroup_type(filegroup_hdl%daddr, type_, len(type_))
@@ -190,5 +204,5 @@
     ( filegroup_id, append, compression_level, description, enabled, format, group_ref, min_digits  &
     , mode, name, name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format  &
-    , sync_freq, time_counter, type )
+    , sync_freq, time_counter, timeseries, ts_prefix, type )
 
     IMPLICIT NONE
@@ -214,4 +228,6 @@
       TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: sync_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_counter
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: timeseries
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
@@ -220,5 +236,5 @@
       ( filegroup_hdl, append, compression_level, description, enabled, format, group_ref, min_digits  &
       , mode, name, name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format  &
-      , sync_freq, time_counter, type )
+      , sync_freq, time_counter, timeseries, ts_prefix, type )
 
   END SUBROUTINE xios(get_filegroup_attr)
@@ -227,5 +243,5 @@
     ( filegroup_hdl, append, compression_level, description, enabled, format, group_ref, min_digits  &
     , mode, name, name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format  &
-    , sync_freq, time_counter, type )
+    , sync_freq, time_counter, timeseries, ts_prefix, type )
 
     IMPLICIT NONE
@@ -250,4 +266,6 @@
       TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: sync_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_counter
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: timeseries
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
@@ -255,5 +273,5 @@
       ( filegroup_hdl, append, compression_level, description, enabled, format, group_ref, min_digits  &
       , mode, name, name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format  &
-      , sync_freq, time_counter, type )
+      , sync_freq, time_counter, timeseries, ts_prefix, type )
 
   END SUBROUTINE xios(get_filegroup_attr_hdl)
@@ -262,5 +280,5 @@
     ( filegroup_hdl, append_, compression_level_, description_, enabled_, format_, group_ref_, min_digits_  &
     , mode_, name_, name_suffix_, output_freq_, output_level_, par_access_, split_freq_, split_freq_format_  &
-    , sync_freq_, time_counter_, type_ )
+    , sync_freq_, time_counter_, timeseries_, ts_prefix_, type_ )
 
     IMPLICIT NONE
@@ -285,4 +303,6 @@
       TYPE(txios(duration))  , OPTIONAL, INTENT(OUT) :: sync_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_counter_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: timeseries_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_prefix_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
 
@@ -357,4 +377,12 @@
       ENDIF
 
+      IF (PRESENT(timeseries_)) THEN
+        CALL cxios_get_filegroup_timeseries(filegroup_hdl%daddr, timeseries_, len(timeseries_))
+      ENDIF
+
+      IF (PRESENT(ts_prefix_)) THEN
+        CALL cxios_get_filegroup_ts_prefix(filegroup_hdl%daddr, ts_prefix_, len(ts_prefix_))
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         CALL cxios_get_filegroup_type(filegroup_hdl%daddr, type_, len(type_))
@@ -366,5 +394,5 @@
     ( filegroup_id, append, compression_level, description, enabled, format, group_ref, min_digits  &
     , mode, name, name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format  &
-    , sync_freq, time_counter, type )
+    , sync_freq, time_counter, timeseries, ts_prefix, type )
 
     IMPLICIT NONE
@@ -405,4 +433,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: time_counter
       LOGICAL(KIND=C_BOOL) :: time_counter_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: timeseries
+      LOGICAL(KIND=C_BOOL) :: timeseries_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_prefix
+      LOGICAL(KIND=C_BOOL) :: ts_prefix_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
@@ -412,5 +444,5 @@
       ( filegroup_hdl, append, compression_level, description, enabled, format, group_ref, min_digits  &
       , mode, name, name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format  &
-      , sync_freq, time_counter, type )
+      , sync_freq, time_counter, timeseries, ts_prefix, type )
 
   END SUBROUTINE xios(is_defined_filegroup_attr)
@@ -419,5 +451,5 @@
     ( filegroup_hdl, append, compression_level, description, enabled, format, group_ref, min_digits  &
     , mode, name, name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format  &
-    , sync_freq, time_counter, type )
+    , sync_freq, time_counter, timeseries, ts_prefix, type )
 
     IMPLICIT NONE
@@ -457,4 +489,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: time_counter
       LOGICAL(KIND=C_BOOL) :: time_counter_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: timeseries
+      LOGICAL(KIND=C_BOOL) :: timeseries_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_prefix
+      LOGICAL(KIND=C_BOOL) :: ts_prefix_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
@@ -463,5 +499,5 @@
       ( filegroup_hdl, append, compression_level, description, enabled, format, group_ref, min_digits  &
       , mode, name, name_suffix, output_freq, output_level, par_access, split_freq, split_freq_format  &
-      , sync_freq, time_counter, type )
+      , sync_freq, time_counter, timeseries, ts_prefix, type )
 
   END SUBROUTINE xios(is_defined_filegroup_attr_hdl)
@@ -470,5 +506,5 @@
     ( filegroup_hdl, append_, compression_level_, description_, enabled_, format_, group_ref_, min_digits_  &
     , mode_, name_, name_suffix_, output_freq_, output_level_, par_access_, split_freq_, split_freq_format_  &
-    , sync_freq_, time_counter_, type_ )
+    , sync_freq_, time_counter_, timeseries_, ts_prefix_, type_ )
 
     IMPLICIT NONE
@@ -508,4 +544,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: time_counter_
       LOGICAL(KIND=C_BOOL) :: time_counter__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: timeseries_
+      LOGICAL(KIND=C_BOOL) :: timeseries__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_prefix_
+      LOGICAL(KIND=C_BOOL) :: ts_prefix__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type_
       LOGICAL(KIND=C_BOOL) :: type__tmp
@@ -596,4 +636,14 @@
       ENDIF
 
+      IF (PRESENT(timeseries_)) THEN
+        timeseries__tmp = cxios_is_defined_filegroup_timeseries(filegroup_hdl%daddr)
+        timeseries_ = timeseries__tmp
+      ENDIF
+
+      IF (PRESENT(ts_prefix_)) THEN
+        ts_prefix__tmp = cxios_is_defined_filegroup_ts_prefix(filegroup_hdl%daddr)
+        ts_prefix_ = ts_prefix__tmp
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         type__tmp = cxios_is_defined_filegroup_type(filegroup_hdl%daddr)
